Campaign Family
The campaign family record exposes a campaign family to REST web services.
This record:
-
is not a subrecord
-
contains no subrecords
For more information about working with campaign families in the UI, see Campaign Families.
The REST API Browser includes information about the field names and field types of the campaign family record and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's campaign family reference page.
For information about using the REST API Browser, see The REST API Browser.
Record ID
The record ID for a campaign family REST record is campaignfamily.
Prerequisites
You must enable the Marketing Automation feature before you can use this record through REST web services. For more information, see Marketing Automation Overview.
Code Samples
The following samples show common actions for a campaign family.
POST Request
POST /services/rest/record/v1/campaignfamily HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Content-Type: application/json
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""
Content-Length: 84
{
"description": "Test description",
"name": "Test name",
"isInactive": false
}
GET Request
GET /services/rest/record/v1/campaignfamily/1?expandSubResources=true HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""
PATCH Request
PATCH /services/rest/record/v1/campaignfamily/1 HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Content-Type: application/json
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""
Content-Length: 105
{
"description": "Test description updated",
"name": "Test name updated",
"isInactive": true
}
DELETE Request
DELETE /services/rest/record/v1/campaignfamily/1 HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""